Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote
Class CacheSynchronizationManager

`java.lang.Object
oracle.toplink.remote.CacheSynchronizationManager`

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `CommandManager`

public class CacheSynchronizationManager
extends java.lang.Object

Purpose: Allow for a cluster or group of application servers or TopLink sessions to distributely broadcast cache changes to the other servers to synchronize the state of the cache object.

Description: This allows for applications that require multiple application servers to decrease the possibilty of stale data in the TopLink cache.

Constructor Summary
`CacheSynchronizationManager()` Deprecated. PUBLIC: Creates a CacheSynchronizationManager.
`CacheSynchronizationManager(java.lang.Class clusteringServiceClassType)` Deprecated. PUBLIC: Creates a CacheSynchronizationManager.
`CacheSynchronizationManager(java.lang.Object controller)` Deprecated. As of version 4.0

Method Summary
`void` | `addRemoteConnection(RemoteConnection connection)` Deprecated. PUBLIC: Add a remote Connection for cache synchronisation.
`void` | `connectToAllRemoteServers()` Deprecated. PUBLIC: Connect to all known servers, that have been specified through addRemoteConnections.
`java.lang.String` | `getLocalHostURL()` Deprecated. since 4.5 now set on ClusteringService
`java.util.Hashtable` | `getRemoteConnections()` Deprecated. PUBLIC: Returns the list of remote connections for cache synchronisation.
`RemoteConnection` | `getSessionRemoteConnection()` Deprecated. ADVANCED: Returns the remoteSession controller dispatcher that this session has made available for synchronization.
`java.lang.Object` | `getSessionRemoteController()` Deprecated. Since 4.0
`void` | `initialize()` Deprecated. ADVANCED: THis method is called during the Login of the session to set up the synchronization service
`boolean` | `isAsynchronous()` Deprecated. PUBLIC: Return whether the propagation of the change sets should be asynchronous.
`void` | `removeAllRemoteConnections()` Deprecated. PUBLIC: Remove all remote connections for cache synchronisation.
`void` | `removeRemoteConnection(RemoteConnection connection)` Deprecated. PUBLIC: Remove a remote connection for cache synchronisation.
`void` | `setClusteringService(AbstractClusteringService clusteringService)` Deprecated. ADVANCED: Use this method to set the clusteringService used to synchronize the distributed sessions The class supplied must subclass AbstractClusteringService
`void` | `setClusteringServiceClassType(java.lang.Class clusteringServiceClassType)` Deprecated. ADVANCED: Use this method to set the class type to be used to synchronize the distributed sessions The class supplied must subclass AbstractClusteringService
`void` | `setIsAsynchronous(boolean isAsynchronous)` Deprecated. ADVANCED: This method is used to set if the propagation of the change sets should be asynchronous.
`void` | `setLocalHostURL(java.lang.String localHostURL)` Deprecated. since 4.5 now set on ClusteringService
`void` | `setSessionRemoteConnection(RemoteConnection remoteSessionConnection)` Deprecated. ADVANCED: Sets the remoteSession connection that this session will make available for synchronization.
`void` | `setSessionRemoteController(java.lang.Object remoteSessionController)` Deprecated. As of version 4.0
`void` | `setShouldRemoveConnectionOnError(boolean shouldRemoveConnectionOnError)` Deprecated. PUBLIC: Allow whether connections to remote servers should be disconnected when an error occurs
`boolean` | `shouldRemoveConnectionOnError()` Deprecated. PUBLIC: Return whether connections to remote servers should be disconnected when an error occurs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheSynchronizationManager

    public CacheSynchronizationManager()

  Deprecated.
  PUBLIC: Creates a CacheSynchronizationManager.

### CacheSynchronizationManager

    public CacheSynchronizationManager(java.lang.Class clusteringServiceClassType)

  Deprecated.
  PUBLIC: Creates a CacheSynchronizationManager.
Parameters:
  `clusteringServiceClassType` - the class that will be instantiated to connect all nodes

### CacheSynchronizationManager

    public CacheSynchronizationManager(java.lang.Object controller)

  Deprecated. As of version 4.0
  PUBLIC: Creates a CacheSynchronizationManager.
Parameters:
  `controller` - This must be a globally available RemoteSessionController

Method Detail

### initialize

    public void initialize()

  Deprecated.
  ADVANCED: THis method is called during the Login of the session to set up the synchronization service

### addRemoteConnection

    public void addRemoteConnection(RemoteConnection connection)

  Deprecated.
  PUBLIC: Add a remote Connection for cache synchronisation. This connection will be updated with the changes that occur to this session's cache.

### connectToAllRemoteServers

    public void connectToAllRemoteServers()

  Deprecated.
  PUBLIC: Connect to all known servers, that have been specified through addRemoteConnections. This notifies the other servers that this server is alive and desires it's cache to be synchronized with their caches. The other server will then send all committed changes back through the remote connection to this server. Note: any errors that occur will be ignored and this will continue to connect to the other servers, these errors will be logged to the session's log.

### getRemoteConnections

    public java.util.Hashtable getRemoteConnections()

  Deprecated.
  PUBLIC: Returns the list of remote connections for cache synchronisation.

### getSessionRemoteController

    public java.lang.Object getSessionRemoteController()

  Deprecated. Since 4.0
  ADVANCED: Returns the remoteSession controller dispatcher that this session has made available for synchronization.

### getSessionRemoteConnection

    public RemoteConnection getSessionRemoteConnection()

  Deprecated.
  ADVANCED: Returns the remoteSession controller dispatcher that this session has made available for synchronization.

### removeAllRemoteConnections

    public void removeAllRemoteConnections()

  Deprecated.
  PUBLIC: Remove all remote connections for cache synchronisation. All remote connections will no longer be updated with the changes

### removeRemoteConnection

    public void removeRemoteConnection(RemoteConnection connection)

  Deprecated.
  PUBLIC: Remove a remote connection for cache synchronisation. This connection will no longer be updated with the changes.

### setIsAsynchronous

    public void setIsAsynchronous(boolean isAsynchronous)

  Deprecated.
  ADVANCED: This method is used to set if the propagation of the change sets should be asynchronous. This means that the client will return from the commit before the changes may have been propigated.

### isAsynchronous

    public boolean isAsynchronous()

  Deprecated.
  PUBLIC: Return whether the propagation of the change sets should be asynchronous. Asynchronous propagation means that the client will return from the commit before the changes may have been propigated.
  Returns:
    boolean

### setSessionRemoteController

    public void setSessionRemoteController(java.lang.Object remoteSessionController)

  Deprecated. As of version 4.0
  ADVANCED: Sets the remoteSession controller dispatcher that this session has made available for synchronization.

### setSessionRemoteConnection

    public void setSessionRemoteConnection(RemoteConnection remoteSessionConnection)

  Deprecated.
  ADVANCED: Sets the remoteSession connection that this session will make available for synchronization. Other session will communicate with this session through this connection

### setShouldRemoveConnectionOnError

    public void setShouldRemoveConnectionOnError(boolean shouldRemoveConnectionOnError)

  Deprecated.
  PUBLIC: Allow whether connections to remote servers should be disconnected when an error occurs

### shouldRemoveConnectionOnError

    public boolean shouldRemoveConnectionOnError()

  Deprecated.
  PUBLIC: Return whether connections to remote servers should be disconnected when an error occurs

### setClusteringService

    public void setClusteringService(AbstractClusteringService clusteringService)

  Deprecated.
  ADVANCED: Use this method to set the clusteringService used to synchronize the distributed sessions The class supplied must subclass AbstractClusteringService
  Parameters:
    `clusteringService` -

### setClusteringServiceClassType

    public void setClusteringServiceClassType(java.lang.Class clusteringServiceClassType)

  Deprecated.
  ADVANCED: Use this method to set the class type to be used to synchronize the distributed sessions The class supplied must subclass AbstractClusteringService
  Parameters:
    `clusteringServiceClassType` -

### getLocalHostURL

    public java.lang.String getLocalHostURL()

  Deprecated. since 4.5 now set on ClusteringService
  This method will return the Host URL of the JNDI service for this node

### setLocalHostURL

    public void setLocalHostURL(java.lang.String localHostURL)

  Deprecated. since 4.5 now set on ClusteringService
  This method will set the Host address of the JNDI service

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD